Get
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/assets/{assetId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/assets/{assetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/assets/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"schemaVersion": "2022-06-09",
"id": "prn:assets:afeb4e5f-0370-4b43-8e37-7e4efc719358:aws:ec2:instance:ap-southeast-2:i-085a328dba59f229b",
"organizationId": "dc16d897-7f52-4b73-be57-96c7c9a853da",
"tenantId": "42749bc1-c99b-4c2c-a081-a6cda9370081",
"integrationId": "458511a1-9bc2-4fce-97a0-0e3139588e6e",
"executionId": 1675576960384,
"provider": "AWS",
"type": "AWS::EC2::Instance",
"name": "i-085a328dba59f229b",
"createdAt": "2023-02-04T06:07:09.092Z",
"firstObservedAt": "2023-02-04T06:02:40.594Z",
"lastObservedAt": "2023-02-05T06:02:40.384Z",
"updatedAt": "2023-02-05T06:07:02.959Z",
"tags": [
{
"Key": "Department",
"Value": "Finance"
}
],
"isPubliclyExposed": false,
"isVulnerable": false,
"numberOfLowVulnerabilities": 85,
"numberOfMediumVulnerabilities": 60,
"numberOfHighVulnerabilities": 15,
"numberOfCriticalVulnerabilities": 5,
"vulnerabilityScore": 9,
"hasKev": false,
"hasExploit": false,
"isExploitable": false,
"isInVpc": false,
"lastScanId": 1679594910265,
"lastScannedAt": "2023-03-23T18:17:20.003Z",
"imageId": "<string>",
"platform": "<string>",
"hasAdminPrivileges": false,
"hasOverlyPermissivePrivileges": false,
"hasAuthorizer": false,
"hasTracingEnabled": false,
"policy": {},
"numberOfLowSecrets": 3,
"numberOfMediumSecrets": 1,
"numberOfHighSecrets": 0,
"numberOfCriticalSecrets": 2,
"lowSecrets": [
{}
],
"mediumSecrets": [
{}
],
"highSecrets": [
{}
],
"criticalSecrets": [
{}
],
"operatingSystem": [
{
"architecture": "x86_64",
"name": "Ubuntu",
"platform": "Linux/UNIX",
"version": "24.04.2 LTS (Noble Numbat)",
"versionId": 24.04,
"activeKernel": "4.14.246-197.484.amzn2.x86_64",
"buildNumber": "20348.fe_release.210507-1500",
"lcuVersion": "10.0.20348.2762"
}
],
"riskScore": 9.36,
"operationalState": "active",
"region": "us-east-1",
"service": "AWS::EC2",
"resourceId": "i-085a328dba59f229b",
"resourceName": "test-instance",
"resourceTags": [
{
"Key": "Public",
"Value": true
}
],
"resourceType": "AWS::EC2::Instance",
"fullResourceName": "arn:aws:iam::1111222233334444:policy/test-policy",
"providerAccountId": 123456789012,
"resourceURL": "https://us-east-1.console.aws.amazon.com/iam/home#/policies/arn:aws:iam::1111222233334444:policy/test-policy",
"rawData": {}
}
}{
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"message": "Forbidden"
}{
"errors": {
"message": "No asset found with id"
}
}{
"message": "Internal server error"
}Get specific asset in a tenant
Retrieve a specific asset by its ID within a tenant. This endpoint allows you to get detailed information about a particular asset, including optional raw data if requested.
GET
/
v1
/
tenant
/
assets
/
{assetId}
Get
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
application/json
Path Parameters
The PRN (asset ID) to retrieve
Query Parameters
Comma-separated list of additional data to include in the response. Use 'rawData' to include the raw asset data.
Example:
"rawData"
Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I